Subject: [Nel] Error Message building Position.exe for SnowBalls Server.

From: Tony Hoyt <[email-masked]>
Date: Sun, 28 Oct 2001 11:21:13 -0800 (PST)

I receieved the following error message when trying to build
position.exe for Snowballs 2 server.  To be honest, I'm not that
great at using Visual Studio, so I'm not positive how to solve this
issue.  Thanks.

<ErrorMessage>
--------------------Configuration: position - Win32
ReleaseDebug--------------------
Linking...
main.obj : error LNK2001: unresolved external symbol "public: class
NLMISC::CVector  __thiscall CTrajectory::eval(__int64)const "
(?eval@CTrajectory@@QBE?AVCVector@NLMISC@@_J@Z)
ReleaseDebug/position.exe : fatal error LNK1120: 1 unresolved
externals
Error executing link.exe.

position.exe - 2 error(s), 0 warning(s)

</ErrorMessage>

  In anycase, I'm trying to figure something out here.  So basicly,
if I wanted to use NEL for my own online game, I would basicly take
the Client and server Code examples to figure out how to build all my
services and dependancies, then distribute the client to my player
base and be all set.  Do I need to actually alter any NEL code to get
my project working? If so, then I would need to release my source to
my game although I wouldn't have to completely open up all the game
content (exact data or tools used to build the game) would I?

  I was under the assumetion that This was more of a like a SDK,
where I would just link up some libraries, run some basic calls and
then have a fully functional game.  Not neading anything more then
the headers and library files.   Or am I mistaken?

  Tony

__________________________________________________
Do You Yahoo!?
Make a great connection at Yahoo! Personals.
http://personals.yahoo.com

---

From: "Vianney Lecroart" <[email-masked]>
Date: Mon, 29 Oct 2001 13:45:51 +0100

Hi again Tony,

> (?eval@CTrajectory@@QBE?AVCVector@NLMISC@@_J@Z)

Oups, I forgot to commit the new .dsp, We forgot to put physics.[cpp|h] in
the .dsp
Fixed this night.

> content (exact data or tools used to build the game) would I?

You don't need to alter NeL code unless you want to had some features in the
lib.
Anyway, you'll have to release your source if you distribute your program
because you use a GPL licenced project.

> the headers and library files.   Or am I mistaken?

NeL is a not a SDK, it's only a package of library that help to to create
your game, but NeL doesn't contains code for gameplay or stuffs like that,
it's only a generic library to create easier your own game. NeL only provide
a 3d engine, network engine, sound engine and ai engine.

Vianney Lecroart
---
lead network programmer / nevrax.com
icq#: 6870415
homepage: http://ace.planet-d.net
www.geekcode.com: GCS/E d- s+++: a-- C+++$ UL++ P- L+++>+$ E+>- W++ N+ o? K-
w++$ O- M- V- PS- PE? Y PGP t 5? X+ R- tv++ b- DI D+ G e++ h+ r-- y?